#ifndef SPRITE_H
#define SPRITE_H


class Sprite
{
public:
	Sprite(LPDIRECTDRAWSURFACE, int x, int y);
	LPDIRECTDRAWSURFACE GetSurf()  { return surf; }
	operator LPDIRECTDRAWSURFACE() const  { return surf; }
	int GetX()  { return x; }
	int GetY()  { return y; }
	int GetCenterX() { return x+w/2; }
	int GetCenterY() { return y+h/2; }
	void SetXY(int xx, int yy)  { x=xx; y=yy; }
	void SetXYrel(int xx,int yy)  { x+=xx; y+=yy; }
	CRect GetRect();
	virtual void Update();
	void Hit(Sprite*);
	void CalcVector();
private:
	LPDIRECTDRAWSURFACE surf;
	int x, y;
	int w, h;
	int xinc, yinc;

	BOOL collide;
	struct CollideInfo
	{
		int x, y;
	} collideinfo;
};


#endif