#ifndef SWITCHWIN_H
#define SWITCHWIN_H


#include "DirectDrawWin.h"

class SwitchWin : public DirectDrawWin
{
public:
	SwitchWin();
protected:
	//{{AFX_MSG(SwitchWin)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int SelectDriver();
	int SelectInitialDisplayMode();
	BOOL CreateCustomSurfaces();
	void DrawScene();
	void RestoreSurfaces();

	BOOL CreateMenuSurface();
	BOOL UpdateMenuSurface();
	BOOL CreateFPSSurface();
	BOOL UpdateFPSSurface();
private:
	LPDIRECTDRAWSURFACE bmpsurf;
	int x, y;
	int xinc, yinc;

	LPDIRECTDRAWSURFACE menusurf;
	int selectmode;

	LPDIRECTDRAWSURFACE fpssurf;
	RECT fpsrect;
	BOOL displayfps;
	DWORD framecount;

	HFONT smallfont, largefont;
};


#endif
