#ifndef BUMPERWIN_H
#define BUMPERWIN_H


#include "DirectDrawWin.h"

const int MAX_SPRITES = 10;

class Sprite;


class BumperWin : public DirectDrawWin
{
public:
	BumperWin();
protected:
	//{{AFX_MSG(BumperWin)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int SelectDriver();
	int SelectInitialDisplayMode();
	BOOL CreateCustomSurfaces();
	void DrawScene();
	void RestoreSurfaces();
	BOOL SpritesCollide(Sprite* s1, Sprite* s2);
	BOOL SpritesCollideRect(Sprite* s1, Sprite* s2);
	BOOL SpritesCollidePixel(Sprite* s1, Sprite* s2);

private:
	Sprite* sprite[MAX_SPRITES];
	int nsprites;

	LPDIRECTDRAWSURFACE text;
};


#endif
