#ifndef QWERTYWIN_H
#define QWERTYWIN_H


#include "DirectDrawWin.h"

class QwertyWin : public DirectDrawWin
{
public:
	QwertyWin();
protected:
	//{{AFX_MSG(QwertyWin)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, 
			BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int SelectDriver();
	int SelectInitialDisplayMode();
	BOOL CreateCustomSurfaces();
	void DrawScene();
	void RestoreSurfaces();
private:
	LPDIRECTINPUT dinput;
	LPDIRECTINPUTDEVICE keyboard;

	BOOL esc_pressed;
	LPDIRECTDRAWSURFACE esc_up, esc_dn;

	LPDIRECTDRAWSURFACE space_up, space_dn;

	LPDIRECTDRAWSURFACE q_up, q_dn;
	LPDIRECTDRAWSURFACE w_up, w_dn;
	LPDIRECTDRAWSURFACE e_up, e_dn;
	LPDIRECTDRAWSURFACE r_up, r_dn;
	LPDIRECTDRAWSURFACE t_up, t_dn;
	LPDIRECTDRAWSURFACE y_up, y_dn;

	LPDIRECTDRAWSURFACE rctrl_up, rctrl_dn;
	LPDIRECTDRAWSURFACE lctrl_up, lctrl_dn;
	LPDIRECTDRAWSURFACE lalt_up, lalt_dn;
	LPDIRECTDRAWSURFACE ralt_up, ralt_dn;
};


#endif
