#ifndef SMEARWIN_H
#define SMEARWIN_H


#include "DirectDrawWin.h"

class SmearWin : public DirectDrawWin
{
public:
	SmearWin();
protected:
	//{{AFX_MSG(SmearWin)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL CreateFlippingSurfaces();
private:
	int SelectDriver();
	int SelectInitialDisplayMode();
	BOOL CreateCustomSurfaces();
	void DrawScene();
	void RestoreSurfaces();
private:
	BOOL InitKeyboard();
	BOOL InitMouse();
private:
	LPDIRECTINPUT dinput;
	LPDIRECTINPUTDEVICE mouse;
	LPDIRECTINPUTDEVICE keyboard;

	LPDIRECTDRAWSURFACE sphere;
	int x, y;
};


#endif
